summaryrefslogtreecommitdiffstats
path: root/maven/gluegen-rt-main.pom.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2012-11-06 20:57:33 +0100
committerSven Gothel <[email protected]>2012-11-06 21:16:30 +0100
commitbb3bb1247fb1fab05a85302dd9e5d57b769fcdbf (patch)
tree370c3efa0d2e4229feaa4ed8fdf8ad64d8660838 /maven/gluegen-rt-main.pom.sh
parent4fd161240a1616382c1b1f744bf31d2a9489437e (diff)
Prepare repo merge
Diffstat (limited to 'maven/gluegen-rt-main.pom.sh')
-rwxr-xr-xmaven/gluegen-rt-main.pom.sh66
1 files changed, 66 insertions, 0 deletions
diff --git a/maven/gluegen-rt-main.pom.sh b/maven/gluegen-rt-main.pom.sh
new file mode 100755
index 0000000..fbd18fc
--- /dev/null
+++ b/maven/gluegen-rt-main.pom.sh
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+PLATFORMS=`cat make-platforms.txt | awk -F: '{print $1}'` || exit 1
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by gluegen-rt-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.gluegen</groupId>
+ <artifactId>gluegen-rt-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>GlueGen Runtime</name>
+ <description>JNI binding generator (runtime)</description>
+ <url>http://jogamp.org/gluegen/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on gluegen-rt, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>gluegen-rt</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+EOF
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>gluegen-rt</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat gluegen.pom.in || exit 1
+cat <<EOF
+</project>
+EOF